uuid: 0cee8f1b-5640-4bf7-8b14-c8e67376c8b9
langcode: en
status: true
dependencies:
  module:
    - migrate_drupal
    - simplenews
id: d7_simplenews_subscribers
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
  - Materio
migration_group: d7_materio
label: 'Simplenews subscribers'
source:
  plugin: d7_simplenews_subscribers
process:
  id: snid
  status: activated
  mail: mail
  uid:
    plugin: migration
    migration: d7_users
    source: uid
  langcode: language
  changes: changes
  created: created
  subscriptions:
    plugin: iterator
    source: subscriptions
    process:
      target_id:
        plugin: static_map
        source: newsletter_id
        map:
          6585: test
          6374: ze_daily_materio_
          6274: materio_newsletter
          7881: companies
      status: status
      timestamp: timestamp
      source: source
destination:
  plugin: 'entity:simplenews_subscriber'
migration_dependencies:
  required:
    - d7_users
